OfficeGest
Stocks/Articles/{article}

Update article

Updates an existing article with new data. Supports partial updates - only provided fields will be updated. Module-specific fields (OFICINAS, PRESTASYNC, LOGISTICA, TPV, etc.) are available based on active modules. Returns 204 No Content on success.

PATCH
/stocks/articles/{article}
AuthorizationBearer <token>

In: header

Path Parameters

articlestring
description?string

Article name/description

article_type?string

Article type (product, service, etc.)

Value in"N" | "S" | "O"
vat_id?string

VAT rate ID

measurement_unit_id?string

Measurement unit code (e.g., UN, KG, LT)

cost_price?number
selling_price?number

Selling price

selling_price_option?string

Selling price option

Value in"PRV" | "PCU"
cost_price_margin?number
cost_price_margin_type?string
Value in"P" | "V"
family_id?string

Family/article group ID

sub_family_id?string

Sub-family ID

sub_sub_family_id?string

Sub-sub-family ID

barcode?string

Main barcode

brand_id?string

Brand ID

active?boolean

Whether article is active

active_for_web?boolean

Whether article is visible on web

part_number?string

Manufacturer part number

abbreviation?string

Short name/abbreviation

location?string

Storage location

discount?number

Default discount percentage

energy_classification?string
minimum_stock?number
maximum_stock?number
customs_duty_rate?number

Customs duty percentage

commission_rate?number

Commission rate

discount_classification?string

Valid value from descontos_classif.codclassif,.

use_lots?boolean

Uses lot tracking

use_serial_numbers?boolean

Uses serial number tracking

manufactured?boolean

Is manufactured in-house

withholding_tax?boolean

Subject to withholding tax

quantity_per_vehicle?number
quantity_per_pallet?number
quantity_per_box?number
saft_product_type?string

SAF-T product type

saft_product_category?string

SAF-T product category

is_component?boolean

Is a component

component_brand?string

Component brand

component_model?string

Component model

component_version?string

Component version

is_tire?boolean
tire_load_index?string
tire_speed_index?string
Value in"A1" | "A2" | "A3" | "A4" | "A5" | "A6" | "A7" | "A8" | "B" | "C" | "D" | "E" | "F" | "G" | "J" | "K" | "L" | "M" | "N" | "P" | "Q" | "R" | "S" | "T" | "H" | "V" | "W" | "Y" | "ZR"
tire_energy_efficiency?string
Value in"A" | "B" | "C" | "D" | "E"
tire_safety?string
Value in"A" | "B" | "C" | "D" | "E"
tire_external_noise?string
Value in"A" | "B" | "C"
tire_decibels?number
tire_measure?string
tire_width?integer
tire_height?integer
tire_diameter?integer
tire_type_id?integer

Valid value from artigos_pneu_tipo.id.

tire_season_id?integer

Valid value from artigos_pneu_temporada.id.

tire_snow_certification?boolean
tire_ice_certification?boolean
web_id?string
web_price?number
web_reference?string
long_description?string
short_description?string
weight?number
logistics_type?string
logistics_quantity?number
width?number
height?number
depth?number
active_for_pos?boolean
drive360_autoorder?boolean
alternative_measurement_unit_id?string
alternative_measurement_unit_conversion?number
ams_active?boolean
fuel_type_id?string

Valid value from tipos_combustiveis.id,.

operation_type?string

Valid value from tipologia_operacao.code,.

statistical_classification?string
tecdoc_code?string
tecdoc_supplier?string
id_code_mr?string
price1?number
block1?boolean
price2?number
block2?boolean
price3?number
block3?boolean
price4?number
block4?boolean
price5?number
block5?boolean
price6?number
block6?boolean
price7?number
block7?boolean
price8?number
block8?boolean
price9?number
block9?boolean
price10?number
block10?boolean
price11?number
block11?boolean
price12?number
block12?boolean
price13?number
block13?boolean
price14?number
block14?boolean
price15?number
block15?boolean
purchasing_price?number

Cost/purchase price

margin_pcu?number

Unit cost margin

margin_pcu_type?string

Margin type (value or percentage)

energy_class?string

Energy efficiency class

stock_min?number

Minimum stock level

stock_max?number

Maximum stock level

discount_classif?string

Discount classification

qty_vehicle?number

Quantity per vehicle

qty_pallet?number

Quantity per pallet

qty_box?number

Quantity per box

Response Body

curl -X PATCH "https://og-tenant1.test:8003/api/v2/stocks/articles/string" \
  -H "Content-Type: application/json" \
  -d '{}'
Empty
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}